Tags
Create Asset Tags
Create new tags. 409 Conflict is logged as warn if the name matches the name of a tag that already exists in a given org uid.
POST
/
v1.0
/
organizations
/
{orgUid}
/
tags
cURL
curl --request POST \
--url https://client.synack.com/api/tagging/v1.0/organizations/{orgUid}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
{
"name": "<string>",
"entities": [
{
"uid": "<string>"
}
]
}
]
}
'import requests
url = "https://client.synack.com/api/tagging/v1.0/organizations/{orgUid}/tags"
payload = { "tags": [
{
"name": "<string>",
"entities": [{ "uid": "<string>" }]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: [{name: '<string>', entities: [{uid: '<string>'}]}]})
};
fetch('https://client.synack.com/api/tagging/v1.0/organizations/{orgUid}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"uid": "<string>",
"name": "<string>",
"orgUid": "<string>",
"entities": [
{
"uid": "<string>"
}
]
}
]
}{
"id": "<string>",
"error": "<string>"
}{
"id": "<string>",
"error": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for an organization group. Unique identifier for an organization.
Pattern:
^[0-9a-z]{1,50}Body
application/json
Tags to create.
Show child attributes
Show child attributes
Response
Paginated tags.
Show child attributes
Show child attributes
⌘I
cURL
